%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name net-scp
%global rubyabi 1.9.1
# requires newer version of mocha (>= 0.13.3)
%global with_tests 0

Summary:       A pure Ruby implementation of the SCP client protocol
Name:          %{?scl_prefix}rubygem-%{gem_name}
Version:       1.1.2
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           https://github.com/net-ssh/net-scp
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      %{?scl_prefix}ruby(abi) >= %{rubyabi}
Requires:      %{?scl_prefix}ruby(rubygems) 
Requires:      %{?scl_prefix}rubygem(net-ssh) >= 2.6.5
BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
BuildRequires: %{?scl_prefix}rubygems-devel
%if 0%{?with_tests}
BuildRequires: %{?scl_prefix}rubygem(net-ssh)
BuildRequires: %{?scl_prefix}rubygem(mocha) >= 0.13.3
BuildRequires: %{?scl_prefix}rubygem(minitest)
%endif
BuildArch:     noarch
Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A pure Ruby implementation of the SCP client protocol


%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}
%{?scl:scl enable %scl - << \EOF}
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

# Remove build leftovers.
rm -rf %{buildroot}%{gem_instdir}/{.rvmrc,.document,.require_paths,.gitignore,.travis.yml,.rspec,.gemtest,.yard*}

%if 0%{?with_tests}
%check
%{?scl:scl enable %scl - << \EOF}
pushd %{buildroot}%{gem_instdir}
ruby -Ilib -Itest test/test_all.rb
popd
%{?scl:EOF}
%endif

%files
%doc %{gem_instdir}/README.rdoc
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.txt
%doc %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Manifest
%{gem_instdir}/Rakefile
%{gem_instdir}/net-scp.gemspec
%{gem_instdir}/setup.rb
%{gem_instdir}/test
%{gem_instdir}/gem-public_cert.pem

%changelog
* Mon Feb 10 2014 Troy Dawson <tdawson@redhat.com> - 1.1.2-1
- Initial package
